# XQilla Simple API Documentation

# xercesc::MemBufFormatTarget Class Reference

`#include <MemBufFormatTarget.hpp>`

Inheritance diagram for xercesc::MemBufFormatTarget:
[legend]

List of all members.

## Public Member Functions

virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)
const XMLByte * | getRawBuffer () const
| Returned the internal raw buffer.
XMLSize_t | getLen () const
| Returned the length of the raw buffer.
constructors and destructor
| MemBufFormatTarget (XMLSize_t initCapacity=1023, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~MemBufFormatTarget ()
reset
void | reset ()
| Reset the internal string buffer.

## Constructor & Destructor Documentation

xercesc::MemBufFormatTarget::MemBufFormatTarget | ( | XMLSize_t | initCapacity = `1023`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

xercesc::MemBufFormatTarget::~MemBufFormatTarget | ( |  | ) |

## Member Function Documentation

XMLSize_t xercesc::MemBufFormatTarget::getLen | ( |  | ) | const`[inline]`

Returned the length of the raw buffer.

const XMLByte* xercesc::MemBufFormatTarget::getRawBuffer | ( |  | ) | const

Returned the internal raw buffer.

void xercesc::MemBufFormatTarget::reset | ( |  | ) |

Reset the internal string buffer.

virtual void xercesc::MemBufFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter |
| ) |  |  | `[virtual]`

Implements xercesc::XMLFormatTarget.

The documentation for this class was generated from the following file:

- MemBufFormatTarget.hpp